> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Dosya İçeriğini Al

> Yüklenen bir dosyanın orijinal içeriğini indirir.

## Genel Bakış

Bu endpoint, TokenLab'nın OpenAI uyumlu Batch API dosya içeriği alımına hizmet eder.

İstek Anthropic Files uyumluluk moduna geçtiğinde, aynı route bağlı workspace için saklanan orijinal dosya içeriğini proxy edebilir.

Anthropic başlıkları yoksa bu route batch dosya içeriğini indirir veya sağlayıcı desteklediğinde bağlı görüntü/referans dosyasının içeriğini proxy eder.

## Notlar

* Batch giriş dosyaları `purpose=batch` kullanmalıdır.
* `completion_window` şu anda `24h`'dir.
* Output sırası garanti edilmez; her zaman `custom_id` ile eşleştirin.
* Streaming, batch öğelerinin içinde desteklenmez.

## Örnek

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.tokenlab.sh/v1/files/file_abc123/content" \
    -H "Authorization: Bearer sk-your-api-key" \
    --output batch-output.jsonl
  ```
</RequestExample>

## İstek / Yanıt

Kesin şema için yukarıdaki etkileşimli OpenAPI panelini kullanın.

## Operasyonel İpuçları

* Downstream mutabakatı idempotent yapmak için `custom_id` kullanın.
* `output_file_id` ve `error_file_id` yalnızca worker batch'i tamamladıktan sonra beklenmelidir.
* `isBatchRequest=true` indirim kuralları uygulandığı için batch fiyatlandırması senkron fiyatlandırmadan farklı olabilir.

## Yanıt örneği

<ResponseExample>
  ```jsonl 200 OK theme={null}
  {"custom_id":"request-1","response":{"status_code":200,"body":{"id":"chatcmpl_abc123"}}}
  {"custom_id":"request-2","error":{"code":"invalid_request_error","message":"Invalid model"}}
  ```
</ResponseExample>

## Önemli alanlar

<ResponseField name="body" type="binary|string">Ham yanıt gövdesi. JSON olarak parse etmeden doğrudan kaydedin.</ResponseField>
<ResponseField name="custom_id" type="string">Sonraki çağrılar ve support için kullanılan identifier.</ResponseField>
